User Tools

Site Tools


animation:manager

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
animation:manager [2014/11/12 12:03]
freek
animation:manager [2015/11/30 18:59] (current)
freek
Line 1: Line 1:
 +====== Manager ======
  
 +
 +{{:​story:​b033:​manager.png?​100|Animation Manager}}
 +
 +Der Manager arbeitet alle nicht unsichtbar gestellten Unterobjekte ab. Man kann Unterobjekte ausblenden, um sie beim nächsten Durchlauf nicht zu berücksichtigen.
 +
 +==Eigenschaften==
 +|Eigenschaft|Bedeutung|
 +|intervall|Laufzeit in Frames|
 +|start|Startzeitpunkt - ohne Bedeutung|
 +|step|aktuell eingestellte Zeit in Frames|
 +|sleeptime|zusätzliche Pause zwischen zwei Frames (Zeitlupenablauf)|
 +|text|Feld für Informationen,​ die als Head Up Display eingeblendet werden sollen|
 +
 +
 +
 +==Dialog==
 +Der Doppelklick auf den Manager im Objektbaum öffnet eine Dialog.
 +
 +{{:​story:​001_animation:​bn_791.png| }}
 +  *Manager starten **Run**
 +  *Managerablauf abbrechen **Stop**
 +  *Animation in einer Endlosschleife laufen lassen **Loop**
 +  *Endloslauf anch dem nächsten Durchlauf anhalten **Unloop**
 +  *Ein Drehregler zum manuellen Einstellen der gezeigten Zeit.
 +
 +Beim Stoppen wird eine Datei /tmp/stop erzeugt, die der Managerprozess erkennt und zum Abbruch verwendet. Bei nächsten Start wird diese Datei wieder entfernt. Es ist auch möglich, die Datei von Hand anzulegen //touch /​tmp/​stop//,​ um einen unerwünschten Managerprozess zu beenden.
 +
 +Der Manager bekommt die Möglichkeit einer langsamen Abarbeitung (sleeptime),​ um Abläufe genauer beobachten zu können.
 +
 +==Beispiel==
 +
 +Im Beispiel wird ein Würfel und ein Torus mit Hilfe von [[animation:​Placer]] bewegt.
 +<​code>​
 +
 +import FreeCAD
 +import Animation
 +import Placer
 +
 +FreeCAD.newDocument("​Unbenannt"​)
 +
 +# zwei zu animierende Objekte erzeugen und 
 +# ihrer Plazierer festlegen
 +b=FreeCAD.activeDocument().addObject("​Part::​Torus","​Torus"​)
 +r=Placer.createPlacer("​Torus Placer",​b)
 +r.x='​100'​
 +r.RotAxis=FreeCAD.Vector(1.0,​0,​0)
 +
 +b2=FreeCAD.activeDocument().addObject("​Part::​Box","​Box"​)
 +k=Placer.createPlacer("​Box Placer",​b2)
 +
 +m=Animation.createManager()
 +m.intervall = 100
 +m.sleeptime = 0.01
 +
 +# die beiden Plazierer durch den Manager verwalten lassen
 +m.addObject(r)
 +m.addObject(k)
 +
 +# den Manager starten
 +m.Proxy.run()
 +
 +</​code>​
 +
 +
 +[[:​animation_wokbench|Übersicht]]
animation/manager.txt · Last modified: 2015/11/30 18:59 by freek